curl --request GET \
--url https://api.home.datanumia.com/api/v2/contracts-jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.home.datanumia.com/api/v2/contracts-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.home.datanumia.com/api/v2/contracts-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/contracts-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/contracts-jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/contracts-jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/contracts-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_links": {
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/contracts-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"first": {
"href": "https://<DATANUMIA_ROOT_URL>/contracts-jobs?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"prev": {
"href": "https://<DATANUMIA_ROOT_URL>/contracts-jobs?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"next": {
"href": "https://<DATANUMIA_ROOT_URL>/contracts-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"last": {
"href": "https://<DATANUMIA_ROOT_URL>/contracts-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
}
},
"page": {
"totalElements": 122,
"totalPages": 2,
"number": 1,
"size": 100
},
"_embedded": {
"jobs": [
{
"archive": "myOperationsArchive.tar.gz",
"state": {
"current": "DONE",
"ts": "2017-07-21T17:32:28Z"
},
"report": {
"error": {
"code": "INVALID_ARCHIVE_FORMAT",
"message": "<string>"
},
"overview": {
"nbOperationsTotal": 146,
"nbOperationsOK": 146,
"nbOperationsKO": 0
}
},
"_links": {
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/contracts-jobs/{job-id}"
}
}
}
]
}
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.This response has no body data.This response has no body data.Get the execution status of all contracts jobs
Returns a list of jobs between two dates, with their state and an overview of the OK/KO operations Results are paginated.
| State | Description |
|---|---|
| SUBMITTED | The archive is received but processing has not started. |
| IN_PROGRESS | The archive is being processed. |
| DONE | Archive processing is completed without errors. |
| ERROR | Archive processing is completed but has encountered at least one functional or internal error. The details are available in the detailed report. Actions on the customer’s side are necessary to correct them and resend the corresponding contracts. |
| INTERNAL_ERROR | Archive processing was interrupted due to a series of internal errors that occurred while processing a JSON file. Actions are required on Datanumia’s side to correct these errors. |
| DELETED | Archive has been deleted (occurs 21 days after processing). Detailed status report is no more available. |
curl --request GET \
--url https://api.home.datanumia.com/api/v2/contracts-jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.home.datanumia.com/api/v2/contracts-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.home.datanumia.com/api/v2/contracts-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/contracts-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/contracts-jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/contracts-jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/contracts-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_links": {
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/contracts-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"first": {
"href": "https://<DATANUMIA_ROOT_URL>/contracts-jobs?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"prev": {
"href": "https://<DATANUMIA_ROOT_URL>/contracts-jobs?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"next": {
"href": "https://<DATANUMIA_ROOT_URL>/contracts-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"last": {
"href": "https://<DATANUMIA_ROOT_URL>/contracts-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
}
},
"page": {
"totalElements": 122,
"totalPages": 2,
"number": 1,
"size": 100
},
"_embedded": {
"jobs": [
{
"archive": "myOperationsArchive.tar.gz",
"state": {
"current": "DONE",
"ts": "2017-07-21T17:32:28Z"
},
"report": {
"error": {
"code": "INVALID_ARCHIVE_FORMAT",
"message": "<string>"
},
"overview": {
"nbOperationsTotal": 146,
"nbOperationsOK": 146,
"nbOperationsKO": 0
}
},
"_links": {
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/contracts-jobs/{job-id}"
}
}
}
]
}
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.This response has no body data.This response has no body data.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page to be fetched.
Page size to be fetched.
x <= 100State of the jobs be fetched
Start timestamp for the requested range of jobs. Jobs objects having their state updated within the range are returned.
The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'
Period between beginTs and endTs is at most 30 days.
End timestamp for the requested range of jobs. Jobs objects having their state updated within the range are returned.
The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'
Period between beginTs and endTs is at most 30 days.